Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] nvidia-drivers-390.87 fails w/ kernel 4.19.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
cfgauss
Guru
Guru


Joined: 18 May 2005
Posts: 531
Location: USA

PostPosted: Mon Oct 22, 2018 3:36 pm    Post subject: [SOLVED] nvidia-drivers-390.87 fails w/ kernel 4.19. Reply with quote

Here is emerge --info '=x11-drivers/nvidia-drivers-390.87::gentoo'.
Here is the complete build log.
Code:
emerge -pqv '=x11-drivers/nvidia-drivers-390.87'
[ebuild   R   ] x11-drivers/nvidia-drivers-390.87  USE="X acpi driver kms multilib tools uvm -compat -gtk3 -pax_kernel -static-libs -wayland" ABI_X86="32 (64) (-x32)"

Any debugging hints will be gratefully received.

[SOLVED] Many, many thanks go to fedeliallalinea, below, who not only found a Debian patch but also ported it to Gentoo. It works! [/SOLVED]


Last edited by cfgauss on Tue Oct 23, 2018 1:39 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21356
Location: here

PostPosted: Mon Oct 22, 2018 5:00 pm    Post subject: Reply with quote

Try this patch
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cfgauss
Guru
Guru


Joined: 18 May 2005
Posts: 531
Location: USA

PostPosted: Mon Oct 22, 2018 9:54 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Try this patch

I put the patch into /etc/portage/patches/x11-drivers/nvidia-drivers-390.87 but get this error in the emerge:
Code:
 * Applying debian_module_debian_patches_drm-mode.patch ...
The text leading up to this was:
--------------------------
|--- a/nvidia-drm/nvidia-drm-connector.c
|+++ b/nvidia-drm/nvidia-drm-connector.c
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
The text leading up to this was:
--------------------------
|--- a/nvidia-drm/nvidia-drm-encoder.c
|+++ b/nvidia-drm/nvidia-drm-encoder.c
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored

Perhaps I'm not applying the patch correctly.

Is this likely to be fixed with a new ebuild in portage? If so, I'll continue to use an older kernel and wait for the portage fix.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21356
Location: here

PostPosted: Tue Oct 23, 2018 6:07 am    Post subject: Reply with quote

I ported patch for gentoo try it
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
ExecutorElassus
Veteran
Veteran


Joined: 11 Mar 2004
Posts: 1170
Location: Stuttgart, Germany

PostPosted: Fri Nov 02, 2018 3:45 pm    Post subject: Reply with quote

+1, once again the gentoo community already has a patch up fixing my issue by the time I search for it. Cheers.
Back to top
View user's profile Send private message
tld
Veteran
Veteran


Joined: 09 Dec 2003
Posts: 1380

PostPosted: Wed Mar 20, 2019 2:34 pm    Post subject: Reply with quote

Yes! Many thanks fedeliallalinea. I just saw that the 4.19 kernel went stable in the update I'm about to do, and suspected it would probably be an issue for the 32 bit nvidia-drivers-390.87, and a Google search immediately found this!

Thanks!
Tom
Back to top
View user's profile Send private message
tld
Veteran
Veteran


Joined: 09 Dec 2003
Posts: 1380

PostPosted: Wed Mar 20, 2019 2:38 pm    Post subject: Reply with quote

Ahhh...correction to this: I just noticed that there's now a x11-drivers/nvidia-drivers-390.116 in portage as well. I'd imagine that may already address this(?).

EDIT: From what I'm reading it appears that 390.116 actually supports kernel 5.x.

Tom
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum